Sitecore Sample App - SDK  for iOS
======================================

The Sitecore Sample App - SDK for IOS is a simple application designed to help the developer understand the available features within the SDK for IOS framework. The application includes the following feature examples:

 * Authorisation (with a Sitecore instance)
 * Mapping (Apple Maps and Path-finding) 
 * Web View (example integration with a Sitecore instance)
 *  Manipulating Sitecore content through the Sitecore Item Web API
 * Social network sharing 
 * Email (Creating and Sending)
 * Device information retrieval (Camera, Accelerometer, Hardware)
 * Contacts (create and add contact information locally)
 * QR code (Scan and use QR codes)
 * Air Drop (Share local items through Air Drop)



The application supports both IOS 6 and IOS 7, and can request content from Sitecore efficiently and securely via Sitecore Item Web API RESTful web service. It is expected that for the Item Manipulation examples to work, the developer has a Sitecore instance setup configured with the Item Web API module installed.

Documentation for the SDK, including installation and developer guides can be found on the [Sitecore Developer Network (SDN)][3]

Please note that this application is for demonstration purposes only, and is not recommended for production, you should setup and perform your own tests against any apps developed on the SDK framework.


### This repository contains:
 * Sample App source code 

## Further Information
 * [Sitecore Mobile SDK for iOS][4]
 * [Product page on SDN][1]
 * [Sitecore Item Web API module page on SDN][2]
 
# Licence
```
SITECORE SHARED SOURCE LICENSE
```

 [1]: http://sdn.sitecore.net/Products/Sitecore%20Mobile%20SDK/Sitecore%20Mobile%20SDK%20for%20iOS/Mobile%20SDK%201,-d-,2%20for%20iOS.aspx
 [2]: http://sdn.sitecore.net/Products/Sitecore%20Item%20Web%20API.aspx
 [3]: http://sdn.sitecore.net/Products/Sitecore%20Mobile%20SDK/Sitecore%20Mobile%20SDK%20for%20iOS/Mobile%20SDK%201,-d-,2%20for%20iOS/Documentation.aspx
 [4]: https://github.com/Sitecore/sitecore-ios-sdk
